import { PluginConfig, Plugin, BaseApp, HandleRequest } from 'jovo-core';
import nodemailer = require('nodemailer');
export interface Config extends PluginConfig {
    fromEmail: string;
    toEmail: string;
    subject: string;
    awsConfig: {
        accessKeyId: string;
        secretAccessKey: string;
        region: string;
        apiVersion: string;
    };
}
export declare class EmailErrorPlugin implements Plugin {
    config: Config;
    transporter?: nodemailer.Transporter;
    constructor();
    install(app: BaseApp): void;
    uninstall(app: BaseApp): void;
    log(handleRequest: HandleRequest): void;
    createLog(handleRequest: HandleRequest): {
        stackTrace: string | undefined;
        userId: string | undefined;
        timestamp: string;
        locale: string;
        platform: string;
        state: any;
        intent: string | undefined;
    } | undefined;
    sendMail(data: any): void;
}
